This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 225626 - Merge Review: brltty
Merge Review: brltty
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 12:47 EST by Nobody's working on this, feel free to take it
Modified: 2011-10-19 11:24 EDT (History)
1 user (show)

See Also:
Fixed In Version: skasal@redhat.com
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-19 11:24:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 12:47:35 EST
Fedora Merge Review: brltty

http://cvs.fedora.redhat.com/viewcvs/devel/brltty/
Initial Owner: tjanouse@redhat.com
Comment 1 Jon Ciesla 2008-02-06 12:37:57 EST
Local build errors:

Checking for unpackaged file(s): /usr/lib/rpm/check-files
/var/tmp/brltty-3.9-InstallRoot
error: Installed (but unpackaged) file(s) found:
   /usr/lib/brlapi-0.5.1/libbrlapi_tcl.so
   /usr/lib/brlapi-0.5.1/pkgIndex.tcl


RPM build errors:
    File not found:
/var/tmp/brltty-3.9-InstallRoot/usr/lib/tcl8.4/brlapi-0.5.1/libbrlapi_tcl.so
    File not found:
/var/tmp/brltty-3.9-InstallRoot/usr/lib/tcl8.4/brlapi-0.5.1/pkgIndex.tcl
    File not found:
/var/tmp/brltty-3.9-InstallRoot/usr/lib/python2.5/site-packages/Brlapi-0.5.1-py2.5.egg-info
    Installed (but unpackaged) file(s) found:
   /usr/lib/brlapi-0.5.1/libbrlapi_tcl.so
   /usr/lib/brlapi-0.5.1/pkgIndex.tcl
Comment 2 Jon Ciesla 2008-05-16 11:18:27 EDT
Just retried with the newest SRPM, still fails for me.  How is it that koji
built this?
Comment 3 Jon Ciesla 2008-09-09 10:24:27 EDT
Adding current maintainer to CC.

Current rawhide srpm now builds.

rpmlint on srpm:

brltty.src:124: W: rpm-buildroot-usage %build %configure --with-install-root="${RPM_BUILD_ROOT}" --with-braille-driver=-tt
$RPM_BUILD_ROOT should not be touched during %build or %prep stage, as it will
break short circuiting.

brltty.src:182: E: files-attr-not-set
A file or a directory entry in a %files section does not have attributes set
which may result in security issues in the resulting binary package depending
on the system where the package is built.  Add default attributes using
%defattr before it in the %files section, or use per line %attr's.

brltty.src:185: E: files-attr-not-set
A file or a directory entry in a %files section does not have attributes set
which may result in security issues in the resulting binary package depending
on the system where the package is built.  Add default attributes using
%defattr before it in the %files section, or use per line %attr's.

brltty.src:304: W: macro-in-%changelog configure
Macros are expanded in %changelog too, which can in unfortunate cases lead to
the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally odd
entries eg. in source rpms, which is rarely wanted.  Avoid use of macros in
%changelog altogether, or use two '%'s to escape them, like '%%foo'.

brltty.src: W: summary-ended-with-dot Braille display driver for Linux/Unix.
Summary ends with a dot.


Should all be fixed or commented in spec.

rpmlint on rpms:

brlapi.i386: W: file-not-utf8 /usr/share/doc/brlapi-0.5.1/BrlAPI.txt
The character encoding of this file is not UTF-8.  Consider converting it in
the specfile for example using iconv(1).

brlapi.i386: W: file-not-utf8 /usr/share/doc/brlapi-0.5.1/BrlAPI.sgml
The character encoding of this file is not UTF-8.  Consider converting it in
the specfile for example using iconv(1).

Fix.

brlapi.i386: E: library-without-ldconfig-postin /usr/lib/libbrlapi.so.0.5.1
This package contains a library and provides no %post scriptlet containing a
call to ldconfig.

brlapi.i386: E: library-without-ldconfig-postun /usr/lib/libbrlapi.so.0.5.1
This package contains a library and provides no %postun scriptlet containing a
call to ldconfig.

Fix, or explain in spec why this is unneccesary.

brlapi.i386: W: summary-ended-with-dot Appliation Programming Interface for BRLTTY.
Summary ends with a dot.

Fix.

brlapi-devel.i386: W: summary-ended-with-dot Headers, static archive, and documentation for BrlAPI.
Summary ends with a dot.

Fix.

brlapi-java.i386: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

Fix or explain in spec.

brlapi-java.i386: W: summary-ended-with-dot Java binding for BrlAPI.
Summary ends with a dot.

Fix.

brltty.i386: W: spurious-executable-perm /usr/share/doc/brltty-3.9/Bootdisks/rhmkroot
brltty.i386: W: spurious-executable-perm /usr/share/doc/brltty-3.9/Bootdisks/rhmkboot
brltty.i386: W: spurious-executable-perm /usr/share/doc/brltty-3.9/rhmkroot
brltty.i386: W: spurious-executable-perm /usr/share/doc/brltty-3.9/Bootdisks/bp2cf
brltty.i386: W: spurious-executable-perm /usr/share/doc/brltty-3.9/rhmkboot
brltty.i386: W: file-not-utf8 /usr/share/doc/brltty-3.9/BrailleDrivers/VideoBraille/README.it
brltty.i386: W: spurious-executable-perm /usr/share/doc/brltty-3.9/Bootdisks/rhmkiso


The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

brltty.i386: W: non-conffile-in-etc /etc/brltty/*

Probably OK.

brltty.i386: W: file-not-utf8 /usr/share/doc/brltty-3.9/BrailleDrivers/TSI/README
brltty.i386: W: file-not-utf8 /usr/share/doc/brltty-3.9/BrailleDrivers/MDV/README
brltty.i386: W: file-not-utf8 /usr/share/doc/brltty-3.9/Bootdisks/README.RedHat.fd
brltty.i386: W: file-not-utf8 /usr/share/doc/brltty-3.9/ChangeLog
brltty.i386: W: file-not-utf8 /usr/share/doc/brltty-3.9/BrailleDrivers/Voyager/README
brltty.i386: W: file-not-utf8 /usr/share/doc/brltty-3.9/BrailleDrivers/LogText/README
brltty.i386: W: file-not-utf8 /usr/share/doc/brltty-3.9/SpeechDrivers/ExternalSpeech/README
brltty.i386: W: file-not-utf8 /usr/share/doc/brltty-3.9/BrailleDrivers/LogText/help.txt
brltty.i386: W: file-not-utf8 /usr/share/doc/brltty-3.9/BrailleDrivers/VisioBraille/README
brltty.i386: W: file-not-utf8 /usr/share/doc/brltty-3.9/BrailleDrivers/BrailleLite/README
brltty.i386: W: file-not-utf8 /usr/share/doc/brltty-3.9/BrailleDrivers/VisioBraille/help.txt
brltty.i386: W: file-not-utf8 /usr/share/doc/brltty-3.9/README

The character encoding of this file is not UTF-8.  Consider converting it in
the specfile for example using iconv(1).

Fix.

brltty.i386: W: non-executable-in-bin /usr/bin/brltty-config 0644
A file is being installed in /usr/bin, but is not an executable. Be sure that
the file is an executable or that it has executable permissions.

brltty.i386: W: devel-file-in-non-devel-package /usr/bin/brltty-config
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

brltty.i386: E: non-executable-script /usr/bin/brltty-config 0644
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

Very unusual, should be corrected or documented.

brltty.i386: E: zero-length /usr/share/doc/brltty-3.9/BrailleDrivers/Papenmeier/help.txt

No need to include this file.

brltty.i386: W: doc-file-dependency /usr/share/doc/brltty-3.9/Bootdisks/rhmkiso /bin/bash
An included file marked as %doc creates a possible additional dependency in
the package.  Usually, this is not wanted and may be caused by eg. example
scripts with executable bits set included in the package's documentation.

brltty.i386: W: dangerous-command-in-%post chmod
brltty-at-spi.i386: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

brltty-at-spi.i386: W: summary-ended-with-dot AtSpi driver for BRLTTY.
Summary ends with a dot.

brltty-xw.i386: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

brltty-xw.i386: W: summary-ended-with-dot XWindow driver for BRLTTY.
Summary ends with a dot.

python-brlapi.i386: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

python-brlapi.i386: W: summary-ended-with-dot Python binding for BrlAPI.
Summary ends with a dot.

tcl-brlapi.i386: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

tcl-brlapi.i386: W: summary-ended-with-dot Tcl binding for BrlAPI.
Summary ends with a dot.


Fix.


Mock build dies:

<snip>
configure.ac:1406:
bad expression in eval: brltty_help_prefix+0
autom4te: /usr/bin/m4 failed with exit status: 1
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.5bTMbp (%prep)
    Bad exit status from /var/tmp/rpm-tmp.5bTMbp (%prep)
Child returncode was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i386 --nodeps builddir/build/SPECS/brltty.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.5/site-packages/mock/util.py", line 316, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i386 --nodeps builddir/build/SPECS/brltty.spec']
LEAVE do --> EXCEPTION RAISED
Comment 4 Jon Ciesla 2008-12-09 15:29:32 EST
Adding current maintainer.

Local build of 3-10.1 on F-10 fails:

Checking for unpackaged file(s): /usr/lib/rpm/check-files /home/limb/rpmbuild/BUILDROOT/brltty-3.10-1.fc10.i386
error: Installed (but unpackaged) file(s) found:
   /usr/lib/ocaml/brlapi/META
   /usr/lib/ocaml/brlapi/brlapi.cma
   /usr/lib/ocaml/brlapi/brlapi.cmi
   /usr/lib/ocaml/brlapi/brlapi.cmxa
   /usr/lib/ocaml/brlapi/brlapi.mli
   /usr/lib/ocaml/brlapi/libbrlapi_stubs.a
   /usr/lib/ocaml/stublibs/dllbrlapi_stubs.so
   /usr/lib/ocaml/stublibs/dllbrlapi_stubs.so.owner


RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/lib/ocaml/brlapi/META
   /usr/lib/ocaml/brlapi/brlapi.cma
   /usr/lib/ocaml/brlapi/brlapi.cmi
   /usr/lib/ocaml/brlapi/brlapi.cmxa
   /usr/lib/ocaml/brlapi/brlapi.mli
   /usr/lib/ocaml/brlapi/libbrlapi_stubs.a
   /usr/lib/ocaml/stublibs/dllbrlapi_stubs.so
   /usr/lib/ocaml/stublibs/dllbrlapi_stubs.so.owner
Comment 5 Jon Ciesla 2009-03-31 11:09:48 EDT
Local build of 3-10.3 on F-10 still fails, same error.
Comment 6 Jon Ciesla 2010-04-29 16:11:49 EDT
Ping?
Comment 7 Jon Ciesla 2011-03-31 12:39:58 EDT
Ping?
Comment 8 Jon Ciesla 2011-06-17 11:42:43 EDT
Ok, retrying on 4.2-4.

rpm-buildroot-usage error is still there.

synthesizers is misspelt in the description.

Application is misspelt in the summary.

Lots of file encoding and non-conffile-in-etc errors.

private-shared-object-provides for /usr/lib/python2.7/site-packages/brlapi.so

dangerous command in post still applies.

no documentation warnings for python and tcl subpackages.

Please fix or document the above.
Comment 9 Jon Ciesla 2011-10-18 12:09:32 EDT
Oh.  It's orphaned.  And out of date.  I'll look into taking it, updating, fixing, and closing.
Comment 10 Jon Ciesla 2011-10-19 11:24:03 EDT
Fixed most things, build is currently broken but I'll fix that shortly.

Note You need to log in before you can comment on or make changes to this bug.